# Class OpenApiHttpResponseError

#### Hierarchy

- HttpErrorResponse
  - OpenApiHttpResponseError

- Defined in packages/angular/open-api/src/lib/open-api-http-response.error.ts:4

#####
Index

### Constructors

constructor

### Properties

error
headers
httpErrorResponse
message
metadata
name
ok
status
statusText
type
url

### Accessors

operationId
serverId

##
Constructors

### constructor

- new OpenApiHttpResponseError(
  httpErrorResponse: HttpErrorResponse,
  metadata: OpenApiMetaData,
  ): OpenApiHttpResponseError

  #### Parameters

  - httpErrorResponse: HttpErrorResponse
  - metadata: OpenApiMetaData

  #### Returns OpenApiHttpResponseError

  Overrides HttpErrorResponse.constructor

  - Defined in packages/angular/open-api/src/lib/open-api-http-response.error.ts:6

##
Properties

### `Readonly` error

error: any

Inherited from HttpErrorResponse.error

- Defined in node_modules/@angular/common/http/index.d.ts:3370

### `Readonly` headers

headers: HttpHeaders

All response headers.

Inherited from HttpErrorResponse.headers

- Defined in node_modules/@angular/common/http/index.d.ts:4102

### `Readonly` httpErrorResponse

httpErrorResponse: HttpErrorResponse

- Defined in packages/angular/open-api/src/lib/open-api-http-response.error.ts:7

### `Readonly` message

message: string

Inherited from HttpErrorResponse.message

- Defined in node_modules/@angular/common/http/index.d.ts:3369

### `Readonly` metadata

metadata: OpenApiMetaData

- Defined in packages/angular/open-api/src/lib/open-api-http-response.error.ts:8

### `Readonly` name

name: "HttpErrorResponse"

Inherited from HttpErrorResponse.name

- Defined in node_modules/@angular/common/http/index.d.ts:3368

### `Readonly` ok

ok: false

Errors are never okay, even when the status code is in the 2xx success range.

Inherited from HttpErrorResponse.ok

- Defined in node_modules/@angular/common/http/index.d.ts:3374

### `Readonly` status

status: number

Response status code.

Inherited from HttpErrorResponse.status

- Defined in node_modules/@angular/common/http/index.d.ts:4106

### `Readonly` statusText

statusText: string

Textual description of response status code, defaults to OK.

Do not depend on this.

Inherited from HttpErrorResponse.statusText

- Defined in node_modules/@angular/common/http/index.d.ts:4112

### `Readonly` type

type: ResponseHeader | Response

Type of the response, narrowed to either the full response or the header.

Inherited from HttpErrorResponse.type

- Defined in node_modules/@angular/common/http/index.d.ts:4124

### `Readonly` url

url: null | string

URL of the resource retrieved, or null if not available.

Inherited from HttpErrorResponse.url

- Defined in node_modules/@angular/common/http/index.d.ts:4116

##
Accessors

### operationId

- get operationId(): string

  #### Returns string

  - Defined in packages/angular/open-api/src/lib/open-api-http-response.error.ts:23

### serverId

- get serverId(): undefined | string

  #### Returns undefined | string

  - Defined in packages/angular/open-api/src/lib/open-api-http-response.error.ts:27